Returns all custom fields and their values for a specific client.
cURL
curl --request GET \ --url https://api.roostedhr.com/api/1_12/clients/{id}/custom-fields \ --header 'X-API-KEY: <api-key>'
200
Example
[ { "id": "<string>", "name": "<string>", "value": "<string>", "field_type": "<string>", "options": [ { "title": "<string>", "value": "<string>" } ] } ]
Documentation IndexFetch the complete documentation index at: https://docs.roostedhr.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
Use this file to discover all available pages before exploring further.
Client ID
OK
Custom field definition ID.
Custom field name.
The value set for this client.
Field type (e.g., text, dropdown, checkbox).
Available options for dropdown/select fields.
Show child attributes